Payment Notification

Notification from Banxis where merchant would receive the latest status of the transaction.

👍

You would be sending notification_url as part of Initiate payment payload and Banxis would send the latest status to this mentioned url.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Notification Request for Banxis

string
required
length ≤ 50

Merchant API client account identifier

string
required
length ≤ 32

Identifier of your application (website)

string
length ≤ 256

Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production

string
length ≤ 256

Request time (unix timestamp, seconds)

customer
object
required

Customer Object

session
object
required

Session Object

transaction
object
required

Transaction Object

integer

API version

Headers
string
required

Authentication HTTP header of an incoming webhook notification request from Banxis.
Verify the signature with the below attributes from the webhook notification request.

  • merchant_id
  • application_key
  • timestamp
  • customer.customer_token
  • session.order_id
  • transaction.tid
  • transaction.currency
  • transaction.amount
  • transaction.conversion_rate
  • transaction.processed_currency
  • transaction.processed_amount
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json